CGAL 6.2 - 3D Constrained Triangulations: CGAL::Conforming_constrained_Delaunay_triangulation_cell_base_3< Traits, CellBase > Class Template Reference

CGAL 6.2 - 3D Constrained Triangulations

Loading...
Searching...
No Matches
List of all members | Classes | Public Member Functions | Static Public Member Functions | Friends
CGAL::Conforming_constrained_Delaunay_triangulation_cell_base_3< Traits, CellBase > Class Template Reference
Reference Manual » Classes and Class Templates

`#include <CGAL/Conforming_constrained_Delaunay_triangulation_cell_base_3.h>`

## Inherits from

CGAL::Triangulation_simplex_base_with_time_stamp< typename BaseWithTSBase >.

## Definition

template<typename Traits, typename CellBase = Triangulation_cell_base_3<Traits>>
class CGAL::Conforming_constrained_Delaunay_triangulation_cell_base_3< Traits, CellBase >

Cell base class for the 3D conforming constrained Delaunay triangulation.

This class is derived from its template parameter `CellBase` and provides additional functionality required by `Conforming_constrained_Delaunay_triangulation_3`.

Template Parameters

  Traits | The geometric traits class, which must be a model of `ConformingConstrainedDelaunayTriangulationTraits_3`. It should be the same as the geometric traits class of the triangulation.
  CellBase | The base class for the cell, which must be a model of `TriangulationCellBase_3`.

Is model of
  `ConformingConstrainedDelaunayTriangulationCellBase_3`

See also
  `CGAL::Conforming_constrained_Delaunay_triangulation_vertex_base_3`

Examples
  Constrained_triangulation_3/remesh_constrained_Delaunay_triangulation_3.cpp.

## Classes
struct | Rebind_TDS

## Public Member Functions
Conforming_constrained_Delaunay_triangulation_cell_data_3 & | ccdt_3_data ()
const Conforming_constrained_Delaunay_triangulation_cell_data_3 & | ccdt_3_data () const
Public Member Functions inherited from CGAL::Triangulation_simplex_base_with_time_stamp< typename BaseWithTSBase >
std::size_t | time_stamp () const
void | set_time_stamp (const std::size_t &ts)

## Static Public Member Functions
static std::string | io_signature ()
Static Public Member Functions inherited from CGAL::Triangulation_simplex_base_with_time_stamp< typename BaseWithTSBase >
static std::string | io_signature ()

## Friends
std::ostream & | operator<< (std::ostream &os, const Conforming_constrained_Delaunay_triangulation_cell_base_3 &c)
std::istream & | operator>> (std::istream &is, Conforming_constrained_Delaunay_triangulation_cell_base_3 &c)

## Additional Inherited Members
Public Types inherited from CGAL::Triangulation_simplex_base_with_time_stamp< typename BaseWithTSBase >
typedef CGAL::Tag_true | Has_timestamp